<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.activity.mapper.ActivityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="activityResultMap" type="org.springblade.ldt.activity.entity.Activity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="title" property="title"/>
        <result column="poster" property="poster"/>
        <result column="discount" property="discount"/>
        <result column="begin_time" property="beginTime"/>
        <result column="end_time" property="endTime"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="intro" property="intro"/>
        <result column="mall_id" property="mallId"/>
        <result column="launch_id" property="launchId"/>
        <result column="launch_type" property="launchType"/>
        <result column="process_definition_id" property="processDefinitionId"/>
        <result column="process_instance_id" property="processInstanceId"/>
        <result column="label_parent_ids" property="labelParentIds"/>
        <result column="label_json" property="labelJson"/>
        <result column="label_key" property="labelKey"/>
        <result column="label_value" property="labelValue"/>
    </resultMap>


    <select id="selectActivityPage" resultMap="activityResultMap">
        select * from ldt_activity where is_deleted = 0
    </select>

</mapper>
